import request from "@/utils/request";
// 省列表
export function apiProvinceList(params: any) {
  return request.get({ url: "/common/province", params });
}
// 市列表
export function apiCityList(params: any) {
  return request.get({ url: "/common/city", params });
}
// 区列表
export function apiAreaList(params: any) {
  return request.get({ url: "/common/area", params });
}


//获取所有人员
export function getAdminsByAll(params: any) {
  return request.get({ url: "/auth.admin/getAdminsByAll", params });
}

//获取某个部门下的所有人员

export function getAdminsByDept(params: any) {
  return request.get({ url: "/auth.admin/getAdminsByDept", params });
}

//获取某个岗位下的所有人员
export function getAdminsByJob(params: any) {
  return request.get({ url: "/auth.admin/getAdminsByJob", params });
}

//获取所有岗位
export function getAllJobs(params: any) {
  return request.get({ url: "/dept.jobs/getAllJobs", params });
}

//获取所有部门
export function getAllDept(params: any) {
  return request.get({ url: "/dept.dept/getAllDept", params });
}

//某个项目下的项目合同列表
export function projectcontracts(params: any) {
  return request.get({ url: "/project.project/contracts", params });
}
